<?php

namespace App\ViewModels\PagSeguro\PagSeguroCartaoRegistrationViewModel;

use App\Utils\Entity;

class PagSeguroCartaoRegistrationViewModel extends Entity {
	protected $idUsuario;
	protected $dadosCartao;
	protected $itens;
	protected $dataRequisicap;
	protected $horaRequisicao;
	protected $recorrencia;
	protected $parcelas;
	protected $valor;

	public static function builder(): PagSeguroCartaoRegistrationViewModelBuilder {

		return new PagSeguroCartaoRegistrationViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUsuario() {

		return $this->idUsuario;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDadosCartao() {

		return $this->dadosCartao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getItens() {

		return $this->itens;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataRequisicap() {

		return $this->dataRequisicap;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraRequisicao() {

		return $this->horaRequisicao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getRecorrencia() {

		return $this->recorrencia;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getParcelas() {

		return $this->parcelas;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @param mixed $idUsuario
	 */
	public function setIdUsuario($idUsuario) {

		$this->idUsuario = $idUsuario;

	}

	/**
	 *
	 * @param mixed $dadosCartao
	 */
	public function setDadosCartao($dadosCartao) {

		$this->dadosCartao = $dadosCartao;

	}

	/**
	 *
	 * @param mixed $itens
	 */
	public function setItens($itens) {

		$this->itens = $itens;

	}

	/**
	 *
	 * @param mixed $dataRequisicap
	 */
	public function setDataRequisicap($dataRequisicap) {

		$this->dataRequisicap = $dataRequisicap;

	}

	/**
	 *
	 * @param mixed $horaRequisicao
	 */
	public function setHoraRequisicao($horaRequisicao) {

		$this->horaRequisicao = $horaRequisicao;

	}

	/**
	 *
	 * @param mixed $recorrencia
	 */
	public function setRecorrencia($recorrencia) {

		$this->recorrencia = $recorrencia;

	}

	/**
	 *
	 * @param mixed $parcelas
	 */
	public function setParcelas($parcelas) {

		$this->parcelas = $parcelas;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

}

